########################################################################
#                                                                      
# Introscope AutoProbe and Agent Configuration                         
#                                                                      
# Wily Technology (tm) Introscope(R) Version 4 Release 4.1
# Copyright (c) 1998 - 2003 Wily Technology, Inc. All Rights Reserved.
# Introscope(R) is a registered trademark of Wily Technology, Inc.
########################################################################

###################################
# Introscope AutoProbe Properties #
###################################

#######################
# On/Off Switch
#
# ================
# This boolean property gives you the ability to disable
# Introscope AutoProbe by settings the property value
# to false.  NOTE: you can also disable it by removing
# ProbeBuilder.jar from the JAVACLASSPATH.

introscope.autoprobe.enable=true


#######################
# Custom Log File Location
#
# ================
# Introscope AutoProbe will always attempt to log the changes
# it makes.  Set this property to move the location of the
# log file to something other than the default.  Non-absolute
# names are resolved relative to the location of this
# properties file.

introscope.autoprobe.logfile=AutoProbe.log


#######################
# Directives Files
#
# ================
# This property specifies all the directives files that determine
# how Introscope AutoProbe performs the instrumentation.  Directives
# (.pbd) files, directives list (.pbl) files, and directories to
# scan are all supported.  Separate multiple entries with a comma.
# This is a required parameter.  If the property is not specified
# or the values are invalid, Introscope will not run!  Non-absolute
# names are resolved relative to the location of this properties file.

introscope.autoprobe.directivesFile=default-full.pbl


#######################
# Agent Properties    #
#######################

#######################
# Verbose Logging
#
# ================
# Set this boolean property to true to turn on verbose logging
# in the Introscope Agent.

com.wily.introscope.agent.verbose=false


#######################
# Extensions Directory
#
# ================
# This property specifies the location of all extensions to be loaded
# by the Introscope Agent.  Non-absolute names are resolved relative 
# to the location of this properties file.

introscope.agent.extensions.directory=ext


################################
# Enterprise Manager Properties#
################################

#################################
# Enterprise Manager Connection Order
#
# ================
# The Enterprise Manager connection order list the Agent uses if it 
# is disconnected from its Enterprise Manager.

introscope.agent.enterprisemanager.connectionorder=DEFAULT


#################################
# Enterprise Manager Locations and Names 
# (names defined in this section are only used in the 
# introscope.agent.enterprisemanager.connectionorder property)
#
# ================
# Settings the Introscope Agent uses to find the Enterprise Manager 
# and names given to host and port combinations.

introscope.agent.enterprisemanager.transport.tcp.host.DEFAULT=localhost 
#introscope.agent.enterprisemanager.transport.tcp.host.DEFAULT=192.168.128.128 
introscope.agent.enterprisemanager.transport.tcp.port.DEFAULT=5001


#######################
# Custom Process Name
#
# ================
# Specify the process name as it appears in the
# Introscope Enterprise Manager and Workstation.

introscope.agent.customProcessName=JMeter


#######################
# Default Process Name
#
# ================
# If the application's main method is not
# instrumented by the Introscope compiler, then the agent will get
# its default process name from this setting

introscope.agent.defaultProcessName=UnknownProcess


#######################
# Agent Name
#
# ================
# Specify the name of this agent as it appears in the
# Introscope Enterprise Manager and Workstation.

introscope.agent.agentName=Agent


#######################
# Agent Thread Priority
#
# ================
# Controls the priority of agent threads.  Varies
# from 1 (low) to 10 (high). Default value if unspecified is Thread.NORM_PRIORITY (5)

#introscope.agent.thread.all.priority=5


#######################
# Cloned Agent Configuration
#
# ================
# Set to true when running identical copies of an application on the same machine.

introscope.agent.clonedAgent=false


#######################
# Platform Monitor Configuration
#
# ================
# Use this property to override the Agent's default Platform Monitor
# detection.  Available values are Solaris, AIX, and Windows NT.

#introscope.agent.platform.monitor.system=Solaris


#######################
# WebSphere 4.0 and 5.0 PMI Configuration
#
# ================
# Controls collection of WebSphere's internal
# performance monitoring infrastructure (PMI) data;
# set to true to gather data from WebSphere PMI
# in the Introscope Agent.
introscope.agent.pmi.enable=false

# Enable collection of different PMI data categories
# by setting introscope.agent.pmi.enable.categoryName to true
# (The data category must be turned on in WebSphere to
# be visible as Introscope data).
introscope.agent.pmi.enable.threadPool=true
introscope.agent.pmi.enable.servletSessions=true
introscope.agent.pmi.enable.connectionPool=true
introscope.agent.pmi.enable.bean=false
introscope.agent.pmi.enable.transaction=false
introscope.agent.pmi.enable.webApp=false
introscope.agent.pmi.enable.jvmRuntime=false
# The below properties are only for WebSphere 5.0
introscope.agent.pmi.enable.system=false 
introscope.agent.pmi.enable.cache=false 
introscope.agent.pmi.enable.orbPerf=false 
introscope.agent.pmi.enable.j2c=false 
introscope.agent.pmi.enable.webServices=false 
introscope.agent.pmi.enable.wlm=false 
introscope.agent.pmi.enable.wsgw=false
# introscope.agent.pmi.enable.jvmpi=false # not default in WebSphere 5.0


#######################
# JMX Configuration 
#
# ================
# Controls collection of data from JMX MBeans;
# set to true to gather JMX data in the Introscope Agent.

introscope.agent.jmx.enable=false

# Configure primary name keys to use for conversion of 
# MBean names into Introscope metric names;
# A comma-separated, ordered list of keys which
# should uniquely identify a particular MBean.

#introscope.agent.jmx.name.primarykeys=

# Controls which JMX data is gathered - a comma-separated
# list of desired keywords  If the Introscope metric name contains 
# one of them, the metric will be polled by the Introscope Agent.
# Leave empty to include all MBean data available in the system.

#introscope.agent.jmx.name.filter=


#######################
# LeakHunter Configuration
#
# ================
# Configuration settings for Introscope LeakHunter

# Controls whether the feature is enabled if the LeakHunter Add-on is present.
# Set the value to true to enable LeakHunter.

introscope.agent.leakhunter.enable=false

# Controls the location for the LeakHunter log file.
# Relative filenames are relative to the application working directory.
# Leave the value blank if you do not want LeakHunter to record data
# to a log file.

introscope.agent.leakhunter.logfile.location=LeakHunter.log

# Controls whether LeakHunter will append or overwrite the log file.
# Set the value to true to append to the log file.

introscope.agent.leakhunter.logfile.append=false

# Controls the sensitivity of the leak detection algorithm.
# The value should be an integer from 1-10.  A higher
# sensitivity setting will result in more potential leaks
# reported and a lower sensitivity will result in fewer
# potential leaks reported.

introscope.agent.leakhunter.leakSensitivity=5

# Controls the length of time LeakHunter spends looking for new
# potential leaks.  After the timeout, LeakHunter will stop looking
# for new potential leaks and just continue tracking the previously
# identified potential leaks.  Set the value to zero if you want
# LeakHunter to always look for new potential leaks.

introscope.agent.leakhunter.timeoutInMinutes=120

# Controls whether LeakHunter generates allocation stack traces for
# potential leaks.  Turning this on gives you more precise data about
# the potential leak's allocation, but requires additional memory and
# CPU overhead.  For this reason, the default setting is false.

introscope.agent.leakhunter.collectAllocationStackTraces=false


#######################
# SQL Agent Configuration
#
# ================
# Configuration settings for Introscope SQL Agent

# The following setting configures SQL Agent to optionally participate
# in the Introscope blame stack, thus creating blame metrics.

introscope.agent.sqlagent.useblame=true

#######################
# Transaction Tracer Configuration
#
# ================
# Configuration settings for Introscope Transaction Tracer

# The following settings configure Transaction Tracer to optionally
# capture the user ID used to invoke servlets and JSPs if it is stored
# in one of the three following ways.  Uncomment the set of properties
# that correspond to how user IDs are stored in your application.
# Make sure only one set of properties are uncommented or the wrong
# properties could be used.

# Uncomment the following property if the user ID is accessed through HttpServletRequest.getRemoteUser.

#introscope.agent.transactiontracer.userid.method=HttpServletRequest.getRemoteUser

# Uncomment the following properties if the user ID is accessed through HttpServletRequest.getHeader.
# Make sure to set the key that is used by your application.

#introscope.agent.transactiontracer.userid.method=HttpServletRequest.getHeader
#introscope.agent.transactiontracer.userid.key=<application defined key string>

# Uncomment the following properties if the user ID is accessed through HttpSession.getValue.
# Make sure to set the key that is used by your application.

#introscope.agent.transactiontracer.userid.method=HttpSession.getValue
#introscope.agent.transactiontracer.userid.key=<application defined key string>
