package com.wily.jmeter;

import java.io.Serializable;

import org.apache.jmeter.samplers.SampleResult;
import org.apache.jmeter.testelement.AbstractTestElement;
import org.apache.jmeter.util.JMeterUtils;
import org.apache.jorphan.logging.LoggingManager;
import org.apache.log.Logger;

import com.wily.introscope.agent.api.*;

public class WilyModel extends AbstractTestElement implements Serializable {

	 /* Constructs a WilyModel.
	 */
	public WilyModel() {
		super();
	}
	
		public synchronized void clear() {
	}
	
	public String toString() {
		return "CA APM Notification";
	}
	
	public synchronized void add(SampleResult sample) {
		//
		StringBuffer metricName=new StringBuffer(sample.getSampleLabel());

		recordResponseTime
			(metricName+":Average Response Time (ms)",sample.getTime());
			recordCount(metricName+":Responses per Interval");

		if (!sample.isSuccessful()) {
			recordCount(metricName+":Errors per Interval");
		} 
	 }
    // Following are the record methods for hooking into introscope...

    java.util.Hashtable avgRespRecorders = new java.util.Hashtable();
    public void recordResponseTime(String name, long i) 
    {
	try {
	    LongAverageDataRecorder recorder = 
		(LongAverageDataRecorder)avgRespRecorders.get(name);
	    if (recorder==null) {
		recorder = 
		    DataRecorderFactory.createLongAverageDataRecorder(name);
		avgRespRecorders.put(name,recorder);
	    }
	    recorder.recordDataPoint(i);
	}
	catch(Exception ive) {
	    ive.printStackTrace();
	}
    }

    java.util.Hashtable countRecorders = new java.util.Hashtable();
    public void recordCount(String name) 
    {
	try {
	    PerIntervalCounterDataRecorder recorder = 
		(PerIntervalCounterDataRecorder)countRecorders.get(name);
	    if (recorder==null) {
		recorder = 
		    DataRecorderFactory.createPerIntervalCounterDataRecorder(name);
		countRecorders.put(name,recorder);
	    }
	    recorder.recordIncident();
	}
	catch(Exception ive) {
	    ive.printStackTrace();
	}
    }
}
